<template>
  <div class="edit-ad">
    <div class="container">
      <div class="edit-ad-head">
        <img @click="$router.go(-1)" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Редактировать объявление</p>
      </div>
      <div class="edit-ad-wrap">
        <Input input name="Укажите ссылку (логин) аккаунта" placeholder="https://instargam.com/account"/>
        <Input input name="Укажите название аккаунта" subtitle="максимум 30 символов" placeholder="До связи"/>
        <div v-if="1==='пока скрыть'" class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <div class="range-input">
            <span></span>
            <span></span>
          </div>
          <div class="range-percents">
            <div class="subtitle">20%</div>
            <div class="subtitle">80%</div>
          </div>
        </div>
        <div class="range-wrap">
          <div class="range-title">
            <div class="blue">Мужская</div>
            <div class="blue">Женская</div>
          </div>
          <input
            v-model="selectedRangePercent"
            :max="100"
            :min="0"
            style="width: 100%"
            type="range">
          <div class="range-percents">
            <div class="subtitle">{{selectedRangePercent}}%</div>
            <div class="subtitle">{{maleRangePercent}}%</div>
          </div>
        </div>
        <Input input name="Количество подписчиков" placeholder="1 571 864"/>
        <Input input name="Охват" placeholder="2 500 000"/>
        <Input textarea name="Описание" subtitle="максимум 500 символов" placeholder="Напишите сюдап что-нибудь интересное..."/>
        <div class="edit-ad-price-wrap">
          <div class="title">Цена</div>
          <div class="subtitle-wrap">
            <p class="subtitle">В ленте</p>
            <p class="subtitle">В Stories</p>
          </div>
          <div class="input-wrap">
            <input placeholder="20 000" type="text">
            <input placeholder="20 000" type="text">
          </div>
        </div>
        <Input switches :switches-list="['Паблик', 'Блоггер']" name="Тип аккаунта" checked/>
        <div class="edit-ad-prev">
          <p class="edit-ad-prev-title">Превью объявления</p>
          <div class="image-wrap">
            <img src="../assets/images/card/img1.jpg" alt="">
          </div>
          <Button upload text="Изменить" />
        </div>
        <Button @click.native="saveAds" text="Разместить объявление" arrow/>cd
      </div>
    </div>
  </div>
</template>

<script>
import Input from "../components/Input";
import Button from "../components/Button";
export default {
  name: "Edit-ad",
  components: {Button, Input},
  methods: {
    saveAds () {
      this.$router.push({name: 'my-profile'})
      this.$root.$refs.myProfile.messages = [
        { title: 'Объявление размещено', subtitle: 'Объявление будет активно до 27.04.2022', icon: 'alert', id: 12122 }
      ]
    },
  },
  mounted() {
    document.body.style.overflow = 'visible'
  }
}
</script>

<style scoped lang="scss">
.edit-ad {
  padding-bottom: 24px;
  position: relative;
  z-index: 300;
  min-height: 100vh;
  background-color: #F1F2F4;
  .container {
    .edit-ad-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .edit-ad-wrap {}
    .edit-ad-price-wrap {
      display: flex;
      flex-direction: column;
      margin-bottom: 24px;
      .title {
        font-weight: 700;
        font-size: 18px;
        line-height: 120%;
        text-align: left;
        margin-bottom: 12px;
      }
      .subtitle-wrap {
        display: flex;
        justify-content: space-between;
        .subtitle {
          margin-bottom: 8px;
        }
      }
      .input-wrap {
        display: flex;
        input {
          background: #FFFFFF;
          border: 2px solid #97C1F2;
          box-sizing: border-box;
          border-radius: 12px;
          padding: 10px 0 10px 12px;
          color: #838383;
          &:first-child {
            margin-right: 16px;
          }
          &::placeholder {
            color: #838383;
          }
        }
      }
    }
    .edit-ad-prev {
      margin-bottom: 40px;
      .edit-ad-prev-title {
        font-weight: 700;
        font-size: 18px;
        line-height: 120%;
        color: #424242;
        margin-bottom: 24px;
      }
      .image-wrap {
        width: 110px;
        height: 110px;
        border-radius: 50%;
        overflow: hidden;
        margin: 0 auto;
        margin-bottom: 16px;
        img {
          width: 100%;
        }
      }
    }
  }
}
.range-wrap {
  display: flex;
  flex-direction: column;
  margin-bottom: 24px;
  .range-title, .range-percents {
    display: flex;
    justify-content: space-between;
  }
  .range-title {
    font-weight: 700;
    margin-bottom: 18px;
  }
  .range-input {
    position: relative;
    margin-bottom: 8px;
    &:before {
      content: '';
      position: absolute;
      width: 20%;
      left: 0;
      top: 0;
      height: 2px;
      background: #2B7FE2;
      border-radius: 2px;
    }
    :first-child {
      width: 100%;
      height: 2px;
      display: block;
      background: #C4C4C4;
      border-radius: 2px;
    }
    :last-child {
      width: 18px;
      height: 18px;
      border-radius: 50%;
      background: #FFFFFF;
      position: absolute;
      left: 20%;
      top: calc(50% - 9px);
      &:before {
        content: '';
        width: 8px;
        height: 8px;
        position: absolute;
        background: #2772CA;
        top: calc(50% - 4px);
        left: calc(50% - 4px);
        border-radius: 50%;
        z-index: 3;
      }
    }
  }
  input[type=range] {
    height: 2px;
    margin-bottom: 8px;
  }
}
</style>
